Bug 954170 - atl1e: WARNING: at lib/dma-debug.c:937 check_unmap+0x47d/0x930()
Summary: atl1e: WARNING: at lib/dma-debug.c:937 check_unmap+0x47d/0x930()
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Neil Horman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:0a1150a8b2e08d6a82c1f745860...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-21 14:13 UTC by Leslie Satenstein
Modified: 2013-07-12 14:59 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-12 14:59:11 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: dmesg (70.66 KB, text/plain)
2013-04-21 14:13 UTC, Leslie Satenstein
no flags Details
patch to do dma error checking (2.88 KB, patch)
2013-04-22 18:03 UTC, Neil Horman
no flags Details | Diff

Description Leslie Satenstein 2013-04-21 14:13:02 UTC
Description of problem:
NO idea

Additional info:
WARNING: at lib/dma-debug.c:937 check_unmap+0x47d/0x930()
Hardware name: System Product Name
ATL1E 0000:02:00.0: DMA-API: device driver failed to check map error[device address=0x00000000cbfd1000] [size=90 bytes] [mapped as single]
Modules linked in: xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables snd_hda_codec_hdmi snd_hda_codec_realtek iTCO_wdt iTCO_vendor_support snd_hda_intel acpi_cpufreq mperf coretemp btrfs zlib_deflate snd_hda_codec snd_hwdep microcode raid6_pq libcrc32c snd_seq usblp serio_raw xor snd_seq_device joydev snd_pcm snd_page_alloc snd_timer snd lpc_ich i2c_i801 soundcore mfd_core atl1e asus_atk0110 ata_generic pata_acpi radeon i2c_algo_bit drm_kms_helper ttm drm i2c_core pata_marvell uinput
Pid: 314, comm: systemd-journal Not tainted 3.9.0-0.rc6.git2.3.fc19.x86_64 #1
Call Trace:
 <IRQ>  [<ffffffff81069106>] warn_slowpath_common+0x66/0x80
 [<ffffffff8106916c>] warn_slowpath_fmt+0x4c/0x50
 [<ffffffff8138151d>] check_unmap+0x47d/0x930
 [<ffffffff810ad048>] ? sched_clock_cpu+0xa8/0x100
 [<ffffffff81381a2f>] debug_dma_unmap_page+0x5f/0x70
 [<ffffffff8137ce30>] ? unmap_single+0x20/0x30
 [<ffffffffa01569a1>] atl1e_intr+0x3a1/0x5b0 [atl1e]
 [<ffffffff810d53fd>] ? trace_hardirqs_off+0xd/0x10
 [<ffffffff81119636>] handle_irq_event_percpu+0x56/0x390
 [<ffffffff811199ad>] handle_irq_event+0x3d/0x60
 [<ffffffff8111cb6a>] handle_fasteoi_irq+0x5a/0x100
 [<ffffffff8101c36f>] handle_irq+0xbf/0x150
 [<ffffffff811dcb2f>] ? file_sb_list_del+0x3f/0x50
 [<ffffffff81073b10>] ? irq_enter+0x50/0xa0
 [<ffffffff8172738d>] do_IRQ+0x4d/0xc0
 [<ffffffff811dcb2f>] ? file_sb_list_del+0x3f/0x50
 [<ffffffff8171c6b2>] common_interrupt+0x72/0x72
 <EOI>  [<ffffffff810db5b2>] ? lock_release+0xc2/0x310
 [<ffffffff8109ea04>] lg_local_unlock_cpu+0x24/0x50
 [<ffffffff811dcb2f>] file_sb_list_del+0x3f/0x50
 [<ffffffff811dcb6d>] fput+0x2d/0xc0
 [<ffffffff811d8ea1>] filp_close+0x61/0x90
 [<ffffffff811fae4d>] __close_fd+0x8d/0x150
 [<ffffffff811d8ef0>] sys_close+0x20/0x50
 [<ffffffff81725699>] system_call_fastpath+0x16/0x1b

Comment 1 Leslie Satenstein 2013-04-21 14:13:06 UTC
Created attachment 738262 [details]
File: dmesg

Comment 2 Neil Horman 2013-04-22 18:03:45 UTC
Created attachment 738607 [details]
patch to do dma error checking

here you go, please build this patch into your kernel and confirm this patch fixes your problem.

Thanks!

Comment 3 Leslie Satenstein 2013-04-22 18:53:24 UTC
I cant help you unless you can give me a link to the new kernel. I am, as an end-user, testing F19 with my two hardware systems. (One system for 32bit,one 
for 64bit).  CPUs are Intel I925 and E7300  (both dual core)

If I have a download link, I will replace existing kernel that you patched.

Comment 4 Neil Horman 2013-04-22 19:55:18 UTC
Um, ok, you have all the tools you need to build your own kernel, but here you go:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5289865

Comment 5 Neil Horman 2013-05-08 20:04:13 UTC
Ping, any feedback on this?

Comment 6 Neil Horman 2013-06-13 19:13:43 UTC
ping, This needs to be pushed upstream, and I'd like to get some testing feedback on it first, as I dont' have this hardware.  Are your issues resolved with the kernel I provided you?

Comment 7 Neil Horman 2013-06-26 14:35:17 UTC
ping, I'm closing this if I don't get any feedback here


Note You need to log in before you can comment on or make changes to this bug.